Subject: Re: bug#65904: 29.1.50; autorevert can't revert files in a symlink directory

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2023 16:28:35 +0300

> Date: Wed, 13 Sep 2023 21:12:30 +0800
> Cc: [email-masked]
> From: zhanghj <[email-masked]>
> 
> Do you mean that the test file itself is a symlink file?
> 
> In my case, the test file itself is a normal file. But its parent 
> directory is a symlink.
> 
> I just tested:  'file-symlink-p' return nil for the test file.

Emacs watches the parent directory of the file, not the file itself
(because certain changes regarding the file are only seen if we watch
the directory).

But I will let Michael chime in, in case I'm missing something.